<script setup lang="ts">
  import { ListingFilter } from '@shopware-pwa/types';

  const props = defineProps<{
    modelValue?: boolean;
    filter: ListingFilter;
  }>();

  const emits = defineEmits<{
    (e: 'update:modelValue', value: boolean): void;
  }>();

  // const { setSelectedTags } = inject(ProductListingKey)!;

  const state = ref(false);
  const propsValue = computed(() => props.modelValue);
  syncRefs(propsValue, state);

  const onChangeOption = (): void => {
    state.value = !state.value;
    emits('update:modelValue', state.value);
  };
</script>

<template>
  <SwToggle :model-value="state" @update:model-value="onChangeOption">
    <template #label>{{ $t(filter.label) }}</template>
  </SwToggle>
</template>
